package com.goafanti.order.service;

import com.goafanti.core.mybatis.page.Pagination;
import com.goafanti.order.bo.*;
import com.goafanti.order.bo.outStatistics.OutOrderNewSignBo;

import java.util.List;

public interface UserStaticticsService {

    Pagination<OutSignSummary> signSummary(InputSignSummary in);

    List<OutSignSummary> signSummaryList(InputSignSummary in);

    Pagination<OutSignStatistics> signStatistics(InputSignStatistics in);

    Pagination<TOrderNewBo> signStatisticsOrderList(InputSignStatistics in);

    List<OutSignStatistics> signStatisticsGetList(InputSignStatistics in);

    Pagination<OutOrderProject> orderProject(InputOrderProject in);

    List<OutOrderNewSignBo> orderNewSignToList(InputOrderNewSignBo in);

    String getOrderNewSignTime(InputOrderNewSignBo in);
}
